ApiAsset documents
Create a link between a file and an asset
Access restricted to roles:
- admin
- manufacturer-admin
- manufacturer-user
- producer-admin
- producer-user
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
fileId*string
The unique identifier of the file
assetId*string
The unique identifier of the asset
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/documents/assets/string/string"{ "data": { "id": "a3f2b65e-4f22-4f45-80c4-9e547a8f5e6a", "filename": "document.pdf", "displayname": "Manual 2025", "ownerId": "d1f2g3h4-i5j6-k7l8-m9n0", "organizationId": "d1f2g3h4-i5j6-k7l8-m9n0", "manufacturerId": "d1f2g3h4-i5j6-k7l8-m9n0", "mimetype": "application/pdf", "category": { "id": "AA", "languageCode": "en", "name": "Electronics" }, "languages": [ "de", "fr" ], "updatedAt": "2025-02-27T12:00:00.000Z", "updatedBy": "user-1234abcd", "createdBy": "user-5678efgh", "createdAt": "2025-01-15T09:30:00.000Z", "supplierDocument": false, "supplierName": "Amcor", "aiInjected": "uninjected", "aiInjectedUpdatedAt": "2025-02-27T14:30:00.000Z" }}